Bug 741329 - Missing Device ID for Canon PIXMA iP1900
Summary: Missing Device ID for Canon PIXMA iP1900
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gutenprint
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: IEEE1284DeviceIDs
TreeView+ depends on / blocked
 
Reported: 2011-09-26 15:28 UTC by Tim Waugh
Modified: 2012-01-11 06:11 UTC (History)
2 users (show)

Fixed In Version: gutenprint-5.2.7-7.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-11 06:11:03 UTC


Attachments (Terms of Use)

Description Tim Waugh 2011-09-26 15:28:10 UTC
Description of problem:
Seen in https://bugs.launchpad.net/ubuntu/+source/gutenprint/+bug/858642:

'device-id': u'MFG:Canon;CMD:BJL,HAPS,BSCCe,PLI;MDL:iP1900 series;CLS:PRINTER;DES:Canon iP1900 series;VER:1.04;STA:10;CHD:BKM,CLM;HRI:ASI;MSI:E3;PDR:6;'

Version-Release number of selected component (if applicable):
gutenprint-5.2.7-4.fc16.x86_64

Specifying device-make-and-model as "Canon PIXMA iP1900" (which is how gutenprint reports it) gives:

└── Canon PIXMA iP1900 (user-specified): MFG:Canon;MDL:iP1900 series;CMD:BJL,HAPS,BSCCe,PLI;
    (No drivers)
        MISSING  gutenprint.5.2://bjc-PIXMA-iP1900/expert [gutenprint-cups]
        MISSING  gutenprint.5.2://bjc-PIXMA-iP1900/simple [gutenprint-cups]

Comment 1 Tim Waugh 2011-09-26 15:29:03 UTC
Also affects: F-14 F15

Comment 2 Fedora Update System 2011-10-11 13:57:57 UTC
gutenprint-5.2.7-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gutenprint-5.2.7-7.fc16

Comment 3 Fedora Update System 2011-11-03 13:10:58 UTC
gutenprint-5.2.7-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gutenprint-5.2.7-7.fc15

Comment 4 Fedora Update System 2011-11-03 13:23:23 UTC
gutenprint-5.2.7-7.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gutenprint-5.2.7-7.fc14

Comment 5 Fedora Update System 2011-11-04 20:25:50 UTC
Package gutenprint-5.2.7-7.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gutenprint-5.2.7-7.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15367
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-11-05 01:21:08 UTC
gutenprint-5.2.7-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-01-11 06:11:03 UTC
gutenprint-5.2.7-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.